---
title: <mglyph>
slug: Web/MathML/Element/mglyph
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mglyph&gt;</code> element is used to display non-standard symbols where existing Unicode characters are not available. It may be used within <a href="/en-US/docs/tag/MathML:Token%20Elements">token elements</a>.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
	<dt id="attr-alt">alt</dt>
	<dd>This attribute defines the alternative text describing the image. Users will see this displayed if the image URL is wrong, the image is not in one of the <a href="/en-US/docs/HTML/Element/Img#Supported_image_formats">supported formats</a>, or until the image is downloaded.</dd>
	<dt id="attr-class-id-style">class, id, style</dt>
	<dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
	<dt id="attr-height">height</dt>
	<dd>The height of the image.</dd>
	<dt id="attr-href">href</dt>
	<dd>Used to set a hyperlink to a specified URI.</dd>
	<dt id="attr-mathbackground">mathbackground</dt>
	<dd>The background color (if the image has transparency). You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
	<dt id="attr-src">src</dt>
	<dd>The image URL.</dd>
	<dt id="attr-valign">valign</dt>
	<dd>Specifies the vertical alignment with respect to the current baseline.</dd>
	<dt id="attr-width">width</dt>
	<dd>The width of the image.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html">&lt;math&gt;
  &lt;mi&gt;&lt;mglyph src="my-glyph.png" alt="my glyph"/&gt;&lt;/mi&gt;
&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('MathML3', 'chapter3.html#presm.mglyph', 'mglyph') }}</td>
			<td>{{ Spec2('MathML3') }}</td>
			<td>Current specification</td>
		</tr>
		<tr>
			<td>{{ SpecName('MathML2', 'chapter3.html#presm.mglyph', 'mglyph') }}</td>
			<td>{{ Spec2('MathML2') }}</td>
			<td>Initial specification</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>


<p>{{Compat("mathml.elements.mglyph")}}</p>

